Bug 320901 - perl-DBI doesn't include directories, with permissions, in RPM
perl-DBI doesn't include directories, with permissions, in RPM
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: perl-DBI (Show other bugs)
4.5
All Linux
low Severity low
: ---
: ---
Assigned To: Marcela Mašláňová
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-05 17:28 EDT by Jack Perdue
Modified: 2010-02-22 08:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-22 08:14:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jack Perdue 2007-10-05 17:28:01 EDT
Description of problem:

A number of directories in the perl-DBI package are not listed in the RPM or in 
any RPM which it requires.   This make verifying directory permissions with 
"rpm -V" or "rpm -q --dump" impossible.


Version-Release number of selected component (if applicable):

perl-DBI-1.40-8


How reproducible:

Always


Steps to Reproduce:

$ for file in `rpm -ql perl-DBI` ; do rpm -qf `dirname $file` ; done | grep not
| sort | uniq


Actual Results:

file /usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/Bundle is not
owned by any package
file /usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/DBD is not owned
by any package
file /usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/DBI/Const/GetInfo
is not owned by any package
file /usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/DBI/Const is not
owned by any package
file /usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/DBI/DBD is not
owned by any package
file /usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/DBI/ProfileDumper
is not owned by any package
file /usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/Win32 is not owned
by any package


Expected results:

Directories used by a package should either be included in the package's RPM 
or in another RPM that the RPM requires.


Additional info:

This was noticed due to a problem with perl-DBD-MySQL.  Somehow (unsure how), a
number of our perl directories were set to 700 permissions.  Doing:

  rpm -V `rpm -qa perl\*`

wasn't any help in tracking down the problem since the directories/permissions 
aren't stored in the RPM.  Since perl-DBD-MySQL and perl-DBD-Pg both depend upon
perl-DBI, it would seem that perl-DBI would be the proper owner of at least a 
couple of the directories above (DBD, DBI/*).  If there is a directory where it 
is less clear which individual package should own it (perhaps Win32 above), then
it would be nice to have at least a common dependency on a simple "dummy" RPM 
that just contains the diretory structure.

perl-DBD-MySQL and perl-DBD-Pg have similar problems, but a number of their 
unowned directories should be covered by fixing perl-DBI.

This seems to be fixed in RHEL5, but it isn't in RHEL4(.5).
Comment 1 RHEL Product and Program Management 2008-10-31 12:45:56 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 2 Marcela Mašláňová 2010-02-22 08:14:08 EST
The last planned update of RHEL-4 will be focused on performance and security bugs only. This should be fixed in next release.

Note You need to log in before you can comment on or make changes to this bug.